<?php

use App\Http\Controllers\ProviderBlockedDayController;
use Illuminate\Support\Facades\Route;

Route::get('/provider/blocked-days/{providerId}', [ProviderBlockedDayController::class, 'index'])->middleware('permission:config.provider_blocked_day,view');
Route::get('/provider/blocked-day/{id}',          [ProviderBlockedDayController::class, 'show'])->middleware('permission:config.provider_blocked_day,view');
Route::post('/provider/blocked-day',              [ProviderBlockedDayController::class, 'store'])->middleware('permission:config.provider_blocked_day,add');
Route::put('/provider/blocked-day/{id}',          [ProviderBlockedDayController::class, 'update'])->middleware('permission:config.provider_blocked_day,edit');
Route::delete('/provider/blocked-day/{id}',       [ProviderBlockedDayController::class, 'destroy'])->middleware('permission:config.provider_blocked_day,delete');
